> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate Locales

> List all the source and target language codes supported for translation and detection



## OpenAPI

````yaml /specs/language-api.yaml get /language/translate/locales
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/translate/locales:
    get:
      tags:
        - language
      summary: Translate Locales
      description: >-
        List all the source and target language codes supported for translation
        and detection
      operationId: translate/locales
      responses:
        '200':
          description: Successful locale result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedLanguages'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  schemas:
    SupportedLanguages:
      type: object
      properties:
        source:
          type: array
          items:
            $ref: '#/components/schemas/SupportedLanguage'
        target:
          type: array
          items:
            $ref: '#/components/schemas/SupportedLanguage'
    SupportedLanguage:
      type: object
      properties:
        name:
          type: string
        tag:
          type: string
        services:
          type: array
          items:
            type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````